Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.tasks.diagnostics
Class DependencyReportTask

    java.lang.Object
      org.gradle.api.internal.AbstractTask
          org.gradle.api.DefaultTask
              org.gradle.api.internal.ConventionTask
                  org.gradle.api.tasks.diagnostics.AbstractReportTask
                      org.gradle.api.tasks.diagnostics.DependencyReportTask

    class DependencyReportTask
    extends AbstractReportTask

The `DependencyReportTask` displays the dependency tree for a project. Can be configured to output to a file, and to optionally output a graphviz compatible "dot" graph. This task is used when you execute the dependency list command-line option.

author:
  Phil Messenger

Constructor Summary
`DependencyReportTask(Project project, java.lang.String name)`

Method Summary
`void` | `generate(Project project)`
`Set` | `getConfigurations()` Returns the configurations to use to build a report.
`ProjectReportRenderer` | `getRenderer()`
`void` | `setConfigurations(Set configurations)` Set the configurations to use to build a report.
`void` | `setRenderer(DependencyReportRenderer renderer)` Set the renderer to use to build a report.

Methods inherited from class AbstractReportTask
generate, getOutputFile, getRenderer, setOutputFile

Methods inherited from class ConventionTask
conv, conventionMapping, conventionMapping, conventionProperty, getConventionAwareHelper, getConventionMapping, setConventionAwareHelper, setConventionMapping

Methods inherited from class DefaultTask
leftShift, methodMissing, propertyMissing

Methods inherited from class AbstractTask
captureStandardOutput, compareTo, defineProperty, deleteAllActions, dependsOn, dependsOnTaskDidWork, disableStandardOutputCapture, doFirst, doLast, equals, execute, getActions, getAdditionalProperties, getAnt, getConvention, getDependsOn, getDescription, getDidWork, getDynamicObjectHelper, getEnabled, getExecuted, getLogger, getName, getPath, getProject, getSkipProperties, getStandardOutputCapture, getTaskDependencies, hasProperty, hashCode, isDidWork, isEnabled, isExecuted, onlyIf, onlyIf, property, setActions, setAdditionalProperties, setDependsOn, setDescription, setDidWork, setEnabled, setExecuted, setName, setProject, setProperty, setSkipProperties, setStandardOutputCapture, toString

Methods inherited from class java.lang.Object
hashCode, getClass, equals, toString, wait, wait, wait, notify, notifyAll

Constructor Detail

### DependencyReportTask

    public DependencyReportTask(Project project, java.lang.String name)

Method Detail

### generate

    public void generate(Project project)

### getConfigurations

    public Set getConfigurations()

  Returns the configurations to use to build a report. If unset, all project configurations will be used.

### getRenderer

    public ProjectReportRenderer getRenderer()

### setConfigurations

    public void setConfigurations(Set configurations)

  Set the configurations to use to build a report. If unset, all project configurations will be used.

### setRenderer

    public void setRenderer(DependencyReportRenderer renderer)

  Set the renderer to use to build a report. If unset, AsciiGraphRenderer will be used.

Groovy Documentation